LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File webkit-sparc64.diff of Package libQtWebKit-devel (Project KDE:Qt:STABLE)

Select JSVALUE64 for 64-bit sparc to avoid compile errors
("conversion from JSVALUE32 to void* loses precision" or
something it was).
Similar to webkit-ia64_s390x.patch.

---
 src/3rdparty/webkit/JavaScriptCore/wtf/Platform.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: qt-everywhere-opensource-src-4.6.3/src/3rdparty/webkit/JavaScriptCore/wtf/Platform.h
===================================================================
--- qt-everywhere-opensource-src-4.6.3.orig/src/3rdparty/webkit/JavaScriptCore/wtf/Platform.h
+++ qt-everywhere-opensource-src-4.6.3/src/3rdparty/webkit/JavaScriptCore/wtf/Platform.h
@@ -734,7 +734,7 @@
 #endif
 
 #if !defined(WTF_USE_JSVALUE64) && !defined(WTF_USE_JSVALUE32) && !defined(WTF_USE_JSVALUE32_64)
-#if (PLATFORM(X86_64) && (PLATFORM(UNIX) || PLATFORM(WIN_OS))) || PLATFORM(IA64) || PLATFORM(ALPHA) || PLATFORM(S390X)
+#if (PLATFORM(X86_64) && (PLATFORM(UNIX) || PLATFORM(WIN_OS))) || PLATFORM(IA64) || PLATFORM(ALPHA) || PLATFORM(S390X) || PLATFORM(SPARC64)
 #define WTF_USE_JSVALUE64 1
 #elif PLATFORM(ARM) || PLATFORM(PPC64)
 #define WTF_USE_JSVALUE32 1